Solid Edge Part Type Library
Reorder Method
Specifies the feature object for which the referenced feature object is to be inserted in front of or behind.
Specifies if the active feature object is to be placed before or after the target object. If this argument is True, the active feature object is inserted before the target object. If this argument is False, the feature object is placed after the target object.
Description
Inserts the referenced object in front of or behind another feature.
Syntax
Visual Basic
Public Sub Reorder( _
   ByVal TargetFeature As Object, _
   ByVal InsertBefore As Boolean _
) 
Parameters
TargetFeature
Specifies the feature object for which the referenced feature object is to be inserted in front of or behind.
InsertBefore
Specifies if the active feature object is to be placed before or after the target object. If this argument is True, the active feature object is inserted before the target object. If this argument is False, the feature object is placed after the target object.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objProfArr(1 To 2) As SolidEdgePart.Profile
    Dim objModel As SolidEdgePart.Model
    Dim objChmfr As SolidEdgePart.Chamfer
    Dim objLines As SolidEdgeFrameworkSupport.Lines2d
    Dim objRelns1 As SolidEdgeFrameworkSupport.Relations2d
    Dim objExtProt As SolidEdgePart.ExtrudedProtrusion
    Dim objExtCut As SolidEdgePart.ExtrudedCutout
    Dim objCutProf As SolidEdgePart.Profile
    Dim objFacs As Object
    Dim objEdgs As Object
    Dim objEdgArr(1 To 4) As Object
    Dim lngStatus As Long
    Dim strName As String
    'Report errors
    Const PI = 3.14159265358979
    'Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' Draw the Profile
    Set objProfArr(1) = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes(1))
    Set objLines = objProfArr(1).Lines2d
    Call objLines.AddBy2Points(x1:=0, y1:=0, x2:=0.06, y2:=0)
    Call objLines.AddBy2Points(x1:=0.06, y1:=0, x2:=0.06, y2:=0.06)
    Call objLines.AddBy2Points(x1:=0.06, y1:=0.06, x2:=0, y2:=0.06)
    Call objLines.AddBy2Points(x1:=0, y1:=0.06, x2:=0, y2:=0)
    ' Relate the Lines to make the Profile closed
    Set objRelns1 = objProfArr(1).Relations2d
    Call objRelns1.AddKeypoint(Object1:=objLines(1), Index1:=igLineEnd, Object2:=objLines(2), Index2:=igLineStart)
    Call objRelns1.AddKeypoint(Object1:=objLines(2), Index1:=igLineEnd, Object2:=objLines(3), Index2:=igLineStart)
    Call objRelns1.AddKeypoint(Object1:=objLines(3), Index1:=igLineEnd, Object2:=objLines(4), Index2:=igLineStart)
    Call objRelns1.AddKeypoint(Object1:=objLines(4), Index1:=igLineEnd, Object2:=objLines(1), Index2:=igLineStart)
    ' Check for the Profile Validity
    lngStatus = objProfArr(1).End(ValidationCriteria:=igProfileClosed)
    If lngStatus <> 0 Then
        MsgBox ("Profile not closed")
    End If
    ' Create the Base Protrusion Object
    Set objModel = objDoc.Models.AddFiniteExtrudedProtrusion(NumberOfProfiles:=1, _
                                                             ProfileArray:=objProfArr, profileplaneSide:=igRight, _
                                                             ExtrusionDistance:=0.02)
    objProfArr(1).Visible = False
    ' Check the status of Base Feature
    If objModel.ExtrudedProtrusions(1).Status <> igFeatureOK Then
        MsgBox ("Error in the Creation of Base Protrusion Feature object")
    End If
    ' Create a Cutout Feature
    Set objCutProf = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:=objDoc.RefPlanes(1))
    Call objCutProf.Circles2d.AddByCenterRadius(x:=0.03, y:=0.03, Radius:=0.01)
    ' Check for the Profile Validity
    lngStatus = objCutProf.End(ValidationCriteria:=igProfileClosed)
    If lngStatus <> 0 Then
        MsgBox ("Profile not closed")
    End If
    ' Create the Cutout Object
    Set objExtCut = objModel.ExtrudedCutouts.AddThroughAll(Profile:=objCutProf, _
                                                           ProfileSide:=igLeft, profileplaneSide:= _
                                                           igRight)
    objCutProf.Visible = False
    If objExtCut.Status <> igFeatureOK Then
        MsgBox ("Error in ExtrudedCutout object creation")
    End If

    Set objExtProt = objModel.ExtrudedProtrusions(1)
    ' Get the Edges collection
    Set objEdgs = objExtProt.Edges(EdgeType:=igQueryAll)
    ' Get the Edges and store them in an Array
    Set objEdgArr(1) = objEdgs(5)
    Set objEdgArr(2) = objEdgs(8)
    ' Get the Faces
    Set objFacs = objExtProt.Faces(FaceType:=igQueryAll)

    ' Create a Chamfer object
    Set objChmfr = objModel.Chamfers.AddUnequalSetback(ReferenceFace:=objFacs(1), _
                                                       NumberOfEdgeSets:=2, EdgeSetArray:=objEdgArr, _
                                                       SetbackDistance1:=0.009, SetbackDistance2:=0.008)
    If objChmfr.Status <> igFeatureOK Then
        MsgBox ("Error in the AddUnequalSetBack Method of Chamfers object")
    End If

    ' Reorder the Chamfer feature
    Call objChmfr.Reorder(TargetFeature:=objModel.ExtrudedProtrusions(1), InsertBefore:=False)
    ' USER DISPLAY
    'Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objProfArr(1) = Nothing
    Set objCutProf = Nothing
    Set objModel = Nothing
    Set objExtProt = Nothing
    Set objExtCut = Nothing
    Set objLines = Nothing
    Set objRelns1 = Nothing
    Set objChmfr = Nothing
    Set objEdgs = Nothing
    Set objFacs = Nothing
    Set objEdgArr(1) = Nothing
    Set objEdgArr(2) = Nothing
End Sub
See Also

Chamfer Object  | Chamfer Members